<?php
/*---------------------------------------------------------------
# Package - Stools Framework 
# ---------------------------------------------------------------
# Author - joomla2you http://www.joomla2you.com
# Copyright (C) 2008 - 2018 joomla2you.com. All Rights Reserved.
# license - PHP files are licensed under  GNU/GPL V2 
# Websites: http://www.joomla2you.com
-----------------------------------------------------------------*/
//no direct accees
defined ('_JEXEC') or die ('resticted aceess');
?>
<div id="ju-maincol" class="clearfix">
<?php
$this->addModules('login'); //login module
?>
<?php if ($this->getParam('fontsizer')) { ?>
<?php 
$large = '14px';
$small = '11px';
?>

<div class="font-sizer">
<a class="btn_fs_big" title="Increase font size" rel="nofollow" href="#">A+</a>
<a class="btn_fs_reset" title="Reset font size" rel="nofollow" href="#">R</a>
<a class="btn_fs_small" title="Decrease font size" rel="nofollow" href="#">A-</a>
</div>
<div style="clear:both;"></div>
<?php
$font_size  = isset($_COOKIE[$this->theme . '_font_size']) ? $_COOKIE[$this->theme . '_font_size'] : 'reset';
if(isset($_GET['font_size'])) {
setcookie($this->theme . '_font_size', $_GET['font_size'], time() + 3600*30, '/'); 
$font_size = $_GET['font_size'];
}
if ($font_size=='big') {
$this->API->addStyleDeclaration('body {font-size:' . $large . '}');	
} elseif ($font_size=='small') {
$this->API->addStyleDeclaration('body {font-size:' . $small . '}');	
}
?>

<script type="text/javascript">
window.addEvent('domready', function() {
document.getElement(".btn_fs_big").addEvent("click", function() {
Cookie.write('<?php echo $this->theme . '_font_size' ?>', 'big'); 
document.body.setStyle('font-size','<?php echo $large ?>');
});
document.getElement(".btn_fs_small").addEvent("click", function() {
Cookie.write('<?php echo $this->theme . '_font_size' ?>', 'small'); 
document.body.setStyle('font-size','<?php echo $small ?>');
});
document.getElement(".btn_fs_reset").addEvent("click", function() {
Cookie.dispose('<?php echo $this->theme . '_font_size' ?>'); 
document.body.setStyle('font-size','');
});
});
</script>
<?php }?>
<?php
$this->addModules('header1', 'ju_xhtml'); //header1
$this->addModules('top', 'ju_xhtml'); //top 
$this->addModules('maintop1, maintop2, maintop3, maintop4', 'ju_xhtml', 'ju-maintop-grid-top'); //maintop1-maintop4
?>
<div class="clr"></div>
<?php $this->addModules('sideleft', 'ju_xhtml'); //sideleft ?>
<div id="inner_content" class="clearfix"> <!--Component Area-->
<?php 
$this->addModules('advert', 'ju_xhtml'); //advert	
$this->addModules('advert1,advert2,advert3,advert4', 'ju_xhtml', 'ju-advert-grid-top'); //advert1-advert4
$this->addModules('advert-mid', 'ju_xhtml'); //advert-mid
$this->addModules('advert5,advert6,advert7,advert8', 'ju_xhtml', 'ju-advert-grid-bottom'); //advert5-advert8	
$this->addModules('advert-bottom', 'ju_xhtml'); //advert-bottom
?>		
<?php if (!$this->hideItem()): ?>
<div class="ju-component-area clearfix">
<div class="ju-inner clearfix">
<?php $this->addModules('pathway'); //pathway position ?>
<jdoc:include type="message" />
<div class="ju-component-area-inner clearfix">
<jdoc:include type="component" />
</div>	
</div>
</div>
<?php endif; ?>
<?php
$this->addModules('info-top', 'ju_xhtml'); //info-top 
$this->addModules('info1,info2,info3,info4', 'ju_xhtml', 'ju-info'); //info1-info4
$this->addModules('info-bottom', 'ju_xhtml'); //info-bottom 
?>
</div>
<?php 
$this->addModules('sideright', 'ju_xhtml'); //sideright
?>
<div class="clr"></div>
<?php 
$this->addModules('mainbottom1,mainbottom6,mainbottom7,mainbottom8', 'ju_xhtml', 'ju-mainbottom-grid-bottom'); //mainbottom1-mainbottom8	
?>
</div>